/*------------------------------
 MOBILE MENU
 ------------------------------*/
.furgan-menu-clone-wrap {
    position: fixed;
    top: 0;
    left: -320px;
    width: 320px;
    height: 100vh;
    background-color: #fff;
    -webkit-transition: all 0.3s ease 0s;
    -o-transition: all 0.3s ease 0s;
    -moz-transition: all 0.3s ease 0s;
    transition: all 0.3s ease 0s;
    z-index: 100000;
    -webkit-box-shadow: 3px 5px 14px -3px rgba(0, 0, 0, 0.11);
    -moz-box-shadow: 3px 5px 14px -3px rgba(0, 0, 0, 0.11);
    box-shadow: 3px 5px 14px -3px rgba(0, 0, 0, 0.11);
    color: #000;
}
.furgan-menu-clone-wrap.open {
    left: 0;
}
.furgan-menu-panels-actions-wrap {
    border-bottom: 1px solid #eee;
    height: 50px;
    position: relative;
}
.furgan-menu-panels-actions-wrap .furgan-menu-close-btn,
.furgan-menu-panels-actions-wrap .furgan-menu-prev-panel {
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 10;
    border-left: 1px solid #eee;
    text-align: center;
    line-height: 50px;
    color: #000;
}
.furgan-menu-panels-actions-wrap .furgan-menu-close-btn {
    font-size: 24px;
}
.furgan-menu-panels-actions-wrap .furgan-menu-close-btn:hover,
.furgan-menu-panels-actions-wrap .furgan-menu-prev-panel:hover {
    color: #000;
}
.furgan-menu-panels-actions-wrap .furgan-menu-prev-panel {
    right: inherit;
    left: 0;
    border: none;
    border-right: 1px solid #eee;

}
.furgan-menu-panels-actions-wrap .furgan-menu-current-panel-title {
    display: block;
    text-align: center;
    line-height: 50px;
    padding: 0 50px;
    text-transform: uppercase;
}
.furgan-menu-panels-actions-wrap .furgan-menu-prev-panel:before {
    content: "\f104";
    font-family: 'FontAwesome', sans-serif;
}
.furgan-menu-panel > ul {
    padding: 0;
    margin: 0;
}
.furgan-menu-panel li {
    list-style: none;
    position: relative;
}
.furgan-menu-panel > ul > li {
    padding: 0 20px;
    border-bottom: 1px solid #eee;
}
.furgan-menu-panel li > a > .icon {
    margin-right: 10px;
}
.furgan-menu-panel > ul > li > a {
    display: block;
    line-height: 50px;
    color: #000;
}
.furgan-menu-panel > ul > li:hover > a,
.furgan-menu-panel > ul > li.active > a {
    color: #000;
}
.furgan-menu-next-panel {
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    position: absolute;
    top: 0;
    right: 0;
    z-index: 10;
}
.furgan-menu-next-panel:before {
    content: "\f105";
    font-family: 'FontAwesome', sans-serif;
}
.furgan-menu-clone-wrap .toggle-submenu {
    display: none !important;
}
.furgan-menu-clone-wrap .furgan-menu-panels {
    background: inherit;
    border-color: inherit;
    z-index: 0;
    box-sizing: border-box;
    overflow: hidden;
    height: calc(100% - 50px);
    position: relative;
}
.furgan-menu-clone-wrap .furgan-menu-panel {
    background-color: #fff;
}
.furgan-menu-clone-wrap .furgan-menu-panel.furgan-menu-sub-panel {
    border-color: #fff;
    bottom: 0;
    box-sizing: border-box;
    display: block;
    left: 0;
    margin: 0;
    overflow-x: hidden;
    overflow-y: auto;
    position: absolute;
    right: 0;
    top: 0;
    transform: translateX(100%);
    transition: all 0.2s ease 0s;
    z-index: 0;
}
.furgan-menu-clone-wrap .furgan-menu-panel.furgan-menu-panel-opened {
    transform: translateX(0);
    z-index: 999;
}
.furgan-menu-clone-wrap .furgan-menu-sub-opened {
    z-index: 1;
    opacity: 0;
    visibility: hidden;
}
.furgan-menu-clone-wrap .furgan-menu-hidden {
    display: block !important;
    opacity: 0;
    visibility: hidden;
}
.furgan-menu-clone-wrap .sub-menu.megamenu {
    padding: 20px;
    max-width: 100% !important;
    width: 100% !important;
}
.furgan-menu li > a > .icon {
    margin-right: 10px;
}
.furgan-menu-panel-main {
    position: absolute;
    top: 0;
    right: 0;
    left: 0;
    bottom: 0;
    overflow-x: hidden;
    overflow-y: auto;
    -webkit-transition: all .3s ease;
    -moz-transition: all .3s ease;
    -o-transition: all .3s ease;
    transition: all .3s ease;
}